RESTinio

Public Member Functions | Private Types | List of all members
restinio::router::impl::fixed_size_none_of_matcher_t< Size > Class Template Reference

A matcher that finds a value in the vector of disabled values of fixed size. More...

`#include <method_matcher.hpp>`

Inheritance diagram for restinio::router::impl::fixed_size_none_of_matcher_t< Size >:

## Public Member Functions
RESTINIO_NODISCARD bool | match (const http_method_id_t &method) const noexcept override
| Is the specified method can be applied to a route? More...
Public Member Functions inherited from restinio::router::impl::fixed_size_any_of_matcher_t< Size >
| fixed_size_any_of_matcher_t (std::initializer_list< http_method_id_t > values)
| Initializing constructor. More...
RESTINIO_NODISCARD bool | match (const http_method_id_t &method) const noexcept override
| Is the specified method can be applied to a route? More...
Public Member Functions inherited from restinio::router::method_matcher_t
| method_matcher_t (const method_matcher_t &)=default
method_matcher_t & | operator= (const method_matcher_t &)=default
| method_matcher_t (method_matcher_t &&)=default
method_matcher_t & | operator= (method_matcher_t &&)=default
| method_matcher_t ()=default
virtual | ~method_matcher_t ()=default
virtual RESTINIO_NODISCARD bool | match (const http_method_id_t &method) const noexcept=0
| Is the specified method can be applied to a route? More...

## Private Types
using | base_type_t = fixed_size_any_of_matcher_t< Size >

## Detailed Description

template<std::size_t Size>
class restinio::router::impl::fixed_size_none_of_matcher_t< Size >

A matcher that finds a value in the vector of disabled values of fixed size.

A method is allowed if it isn't found in the vector of disabled values.

Since
  v.0.6.6

Definition at line 183 of file method_matcher.hpp.

## Member Typedef Documentation

## ◆ base_type_t

template<std::size_t Size>

using restinio::router::impl::fixed_size_none_of_matcher_t< Size >::base_type_t = fixed_size_any_of_matcher_t<Size>
| private

Definition at line 186 of file method_matcher.hpp.

## Member Function Documentation

## ◆ match()

template<std::size_t Size>

RESTINIO_NODISCARD bool restinio::router::impl::fixed_size_none_of_matcher_t< Size >::match | ( | const http_method_id_t & | method | ) | const
| inline override virtual noexcept

Is the specified method can be applied to a route?

Return values

  true | if method can be applied to a route.
  false | if method can't be applied to a route.

Reimplemented from restinio::router::impl::fixed_size_any_of_matcher_t< Size >.

Definition at line 193 of file method_matcher.hpp.

The documentation for this class was generated from the following file:

- restinio/router/method_matcher.hpp